Package org.eclipse.rdf4j.common.concurrent.locks.diagnostics

## Class LockCleaner.CleanableLock<T extends Lock>

- java.lang.Object
- - org.eclipse.rdf4j.common.concurrent.locks.diagnostics.LockCleaner.CleanableLock<T>

- All Implemented Interfaces:
    `Lock`
  Enclosing class:
    LockCleaner<T extends Lock>

      public static class LockCleaner.CleanableLock<T extends Lock>
      extends Object
      implements Lock

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.common.concurrent.locks.Lock

      `Lock.ExtendedSupplier<T extends Lock>, Lock.Supplier<T extends Lock>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CleanableLock​(ConcurrentCleaner cleaner, T lock, String alias, org.slf4j.Logger logger, Thread thread, Throwable throwable)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isActive()` | Checks whether the lock is still active.
    `void` | `release()` | Release the lock, making it inactive.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CleanableLock

          public CleanableLock​(ConcurrentCleaner cleaner,
                               T lock,
                               String alias,
                               org.slf4j.Logger logger,
                               Thread thread,
                               Throwable throwable)

  - ### Method Detail

    - #### isActive

          public boolean isActive()

      Description copied from interface: `Lock`
      Checks whether the lock is still active.
      Specified by:
        `isActive` in interface `Lock`

    - #### release

          public void release()

      Description copied from interface: `Lock`
      Release the lock, making it inactive.
      Specified by:
        `release` in interface `Lock`